# Crews

Some experiments with https://github.com/joaomdmoura/crewAI.

- Install and run `ollama`: https://github.com/ollama/ollama
  - Run a local server
- Download the `mixtral` model: https://ollama.com/library/mixtral
  - Mistral and Llama 2 hallucinate badly and cannot use tools effectively
- Set the following variables:
  - `OPENAI_API_KEY=NA`
  - `OPENAI_API_BASE='http://localhost:11434/v1'`
  - `OPENAI_MODEL_NAME='mixtral'`
- Run a crew: `python3 -m novel.main`
